VSTGUI: CGraphicsTransform Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | List of all members
CGraphicsTransform Struct Reference
New classes » Version 4.0

Graphics Transform Matrix. More...

`#include <cgraphicstransform.h>`

## Public Member Functions
| CGraphicsTransform ()=default
| CGraphicsTransform (double _m11, double _m12, double _m21, double _m22, double _dx, double _dy)
CGraphicsTransform & | translate (double x, double y)
CGraphicsTransform & | translate (const CPoint &p)
CGraphicsTransform & | scale (double x, double y)
CGraphicsTransform & | scale (const CPoint &p)
CGraphicsTransform & | rotate (double angle)
CGraphicsTransform & | rotate (double angle, const CPoint &center)
CGraphicsTransform & | skewX (double angle)
CGraphicsTransform & | skewY (double angle)
bool | isInvariant () const
void | transform (CCoord &x, CCoord &y) const
void | transform (CCoord &left, CCoord &right, CCoord &top, CCoord &bottom) const
CPoint & | transform (CPoint &p) const
CRect & | transform (CRect &r) const
CGraphicsTransform | inverse () const
CGraphicsTransform | operator* (const CGraphicsTransform &t) const
CGraphicsTransform | operator* (const CGraphicsTransform *t) const
bool | operator== (const CGraphicsTransform &t) const
bool | operator!= (const CGraphicsTransform &t) const

## Public Attributes
double | m11 {1.}
double | m12 {0.}
double | m21 {0.}
double | m22 {1.}
double | dx {0.}
double | dy {0.}

## Detailed Description

Graphics Transform Matrix.

## Constructor & Destructor Documentation

## ◆ CGraphicsTransform() [1/2]

CGraphicsTransform | ( |  | ) |
| default

## ◆ CGraphicsTransform() [2/2]

CGraphicsTransform | ( | double | _m11,
|  | double | _m12,
|  | double | _m21,
|  | double | _m22,
|  | double | _dx,
|  | double | _dy
| ) |  |
| inline

## Member Function Documentation

## ◆ inverse()

CGraphicsTransform inverse | ( |  | ) | const
| inline

## ◆ isInvariant()

bool isInvariant | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const CGraphicsTransform & | t | ) | const
| inline

## ◆ operator*() [1/2]

CGraphicsTransform operator* | ( | const CGraphicsTransform & | t | ) | const
| inline

## ◆ operator*() [2/2]

CGraphicsTransform operator* | ( | const CGraphicsTransform * | t | ) | const
| inline

## ◆ operator==()

bool operator== | ( | const CGraphicsTransform & | t | ) | const
| inline

## ◆ rotate() [1/2]

CGraphicsTransform & rotate | ( | double | angle | ) |
| inline

## ◆ rotate() [2/2]

CGraphicsTransform & rotate | ( | double | angle,
|  | const CPoint & | center
| ) |  |
| inline

## ◆ scale() [1/2]

CGraphicsTransform & scale | ( | const CPoint & | p | ) |
| inline

## ◆ scale() [2/2]

CGraphicsTransform & scale | ( | double | x,
|  | double | y
| ) |  |
| inline

## ◆ skewX()

CGraphicsTransform & skewX | ( | double | angle | ) |
| inline

## ◆ skewY()

CGraphicsTransform & skewY | ( | double | angle | ) |
| inline

## ◆ transform() [1/4]

void transform | ( | CCoord & | left,
|  | CCoord & | right,
|  | CCoord & | top,
|  | CCoord & | bottom
| ) |  | const
| inline

## ◆ transform() [2/4]

void transform | ( | CCoord & | x,
|  | CCoord & | y
| ) |  | const
| inline

## ◆ transform() [3/4]

CPoint & transform | ( | CPoint & | p | ) | const
| inline

## ◆ transform() [4/4]

CRect & transform | ( | CRect & | r | ) | const
| inline

## ◆ translate() [1/2]

CGraphicsTransform & translate | ( | const CPoint & | p | ) |
| inline

## ◆ translate() [2/2]

CGraphicsTransform & translate | ( | double | x,
|  | double | y
| ) |  |
| inline

## Member Data Documentation

## ◆ dx

double dx {0.}

## ◆ dy

double dy {0.}

## ◆ m11

double m11 {1.}

## ◆ m12

double m12 {0.}

## ◆ m21

double m21 {0.}

## ◆ m22

double m22 {1.}

The documentation for this struct was generated from the following file:

- cgraphicstransform.h